package com.gyee.wisdom.dao.windturbine;

import com.gyee.wisdom.common.data.windturbine.Windturbine;

import java.util.List;

public interface IWindturbineDao {
      public void del(String id);
      public void save(Windturbine win);
      public List<Windturbine> find();
      public Windturbine findbyid(String id);
      public List<Windturbine> findByStationId(String stationId);
      public List<Windturbine> findByProjectId(String projectId);
      public List<Windturbine> findByLineId(String lineId);
      public List<Windturbine> findByModelId(String modelId);
      public List<Windturbine> findByModelIdIn(String[] modelIds);
      public List<Windturbine> findByStationIdAndModelId(String stationId, String modelId);

}
